[options]
girs_dir = "./gir-files"
library = "LightDM"
version = "1"
min_cfg_version = "1"
target_path = "."
work_mode = "normal"
generate_safety_asserts = false
deprecate_by_min_version = true
single_version_file = true

generate = [
    "LightDM.Greeter",
    "LightDM.Language",
    "LightDM.Layout",
    "LightDM.Session",
    "LightDM.User",
    "LightDM.UserList",
    "LightDM.GreeterError",
    "LightDM.PromptType",
    "LightDM.MessageType",
    "LightDM.*"
]

manual = [
    "GLib.Error",
    "GLib.Quark",
    "Gio.AsyncResult",
    "Gio.AsyncReadyCallback",
    "Gio.Cancellable"
]

builders = [
    "LightDM.LanguageBuilder",
    "LightDM.LayoutBuilder"
]
